Monday, January 24, 2011

Greasemonkey 0.9.1 Release

This is primarily a quick release to deal with bugs found in 0.9.0.

Bug fixes:
  • Fix user script sandbox wrapping. This deals with lots of problems like eval(). (#1258, also #1254, #1260, #1263, #1265)
    If your script(s) stopped working with 0.9.0, this should fix them.
  • Fixed rare bug when installing scripts. (#1250)
  • Fixed errors when Growl is not installed on Mac OS X. (#1249)
  • Fixed problems with relative @require imperatives. (#1262)
New features/improvements:
  • Allow sorting by descending (as well as ascending) execution order. (#1217)
Known issues:
  • Incompatible with All-in-One Sidebar. (#1252)
  • Incompatible with Personas extension. (#1253)

Problems with version 0.9.0

Unfortunately, a number of problems with the recent 0.9.0 release were discovered only after it saw full public release, rather than before that, in one of our Release Candidates.

There are a few small problems related to scripts installing and running -- these are fixed, and the fixes should be released very soon.

There are also known problems with All-in-One Sidebar, and the Personas extension. These are more serious problems, and the only solution right now is to disable one or the other extension.

Keep your eyes open for release 0.9.1 which should be coming out Real Soon Now.

Tuesday, January 18, 2011

Greasemonkey 0.9.0 Release

It's been a long time coming, but it should be worth the wait! The next major release of Greasemonkey, version 0.9.0, is ready. Let's dive right into the new features:

New Features:
  • Compatibility with Firefox 4! Note that because of Firefox bug 612025 this is somewhat unsafe for 4.0b7 to 4.0b9 (inclusive). Beta 10 should be fixed (the nightly build on January 14th definitely is). Firefox 4 support is still preliminary. Everything probably works, but not everything works really well. The backlog of bugs for the next release is primarily focused on this.
  • Complete integration with the standard Firefox Add-ons dialog, treating User Scripts as just another kind of browser add-on.
    For Firefox 3, the User Script management dialog now looks like:

    And for Firefox 4.0:
  • A global options dialog, where the script editor can always be selected. (#1012, #1109)
  • Live in-place editing for the entire script, including metadata (@name, @require, @include, @exclude, etc.). (#1148, #1157, #1165)
  • Web pages that end in .user.js are loaded as normal, instead of being installed as a user script. (#1184)
Bug fixes / minor enhancements:
  • All Greasemonkey windows respond to standard close window keyboard shortcuts. (#1085)
  • Support for @icon metadata imperative, displayed in the new add-ons manager integration. (#1096)
  • Support user and password for GM_xmlHttpRequest(). (#1100)
  • Support @version metadata imperative. (#1110)
  • Suppress spurious Error: not well-formed (// ==UserScript==) error messages. (#1134)
  • The "install" menu item is removed. (#1196)

Loading image

Click anywhere to cancel

Image unavailable

Loading image

Click anywhere to cancel

Image unavailable

 
国产野外无码理论片在线观看_国产亚洲中文日本不卡二区_国产亚洲欧美在线观看一区